Bug 252261 - Clamscan hangs after starting. Ending process results in message that engine is outdated.
Clamscan hangs after starting. Ending process results in message that engine...
Status: CLOSED WONTFIX
Product: Fedora
Classification: Fedora
Component: clamav (Show other bugs)
7
i386 Linux
medium Severity high
: ---
: ---
Assigned To: Enrico Scholz
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2007-08-14 19:39 EDT by Greg Douglas
Modified: 2008-06-16 22:09 EDT (History)
2 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2008-06-16 22:09:33 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Greg Douglas 2007-08-14 19:39:02 EDT
Description of problem:

After upgrading from FC6 to Fedora 7, I tried to get clamav to run correctly.  I
was able to update the files with a successful freshclam, but many warnings were
presented regarding the engine version.  From the command line, I run clamscan,
and it starts, but does not return.  It is using CPU cycles, but looks like its
in an infinite loop.  After terminating the process, I receive the following
message:

$ clamscan
LibClamAV Warning: ***********************************************************
LibClamAV Warning: ***  This version of the ClamAV engine is outdated.     ***
LibClamAV Warning: *** DON'T PANIC! Read http://www.clamav.net/support/faq ***
LibClamAV Warning: ***********************************************************
Terminated
$ 


Version-Release number of selected component (if applicable):
clamav-0.90.3-1.fc7 and clamav-update-0.90.3-1.fc7 and clamav-lib-0.90.3-1.fc7


How reproducible: Every time I try to run it.  I also get this problem when
trying to use it with KlamAV.


Steps to Reproduce:
1. start clamscan from the command line in either root, or user account.
2.
3.
  
Actual results:
Nothing, no hard drive activity, but CPU cycles are being used.

Expected results:
Results of how many files were processed.


Additional info:

Also to note that it appears that there is a problem with yum, or the clamav
spec file:

[greg@atomic ~]$ rpm -q --whatprovides LibClamAV
no package provides LibClamAV
Comment 1 n0dalus 2007-08-19 09:08:19 EDT
I don't know about it hanging, but it does take several minutes to scan an empty
file. That's unusable, so I've had to disable it for now -- which means emails
are not scanned for viruses for users on my network.

[root@gateway ~]# clamscan - < /dev/null
LibClamAV Warning: ***********************************************************
LibClamAV Warning: ***  This version of the ClamAV engine is outdated.     ***
LibClamAV Warning: *** DON'T PANIC! Read http://www.clamav.net/support/faq ***
LibClamAV Warning: ***********************************************************
stdin: OK

----------- SCAN SUMMARY -----------
Known viruses: 147710
Engine version: 0.90.3
Scanned directories: 0
Scanned files: 1
Infected files: 0
Data scanned: 0.00 MB
Time: 178.707 sec (2 m 58 s)

An strace reveals that it is trying to read the virus database, but it sure does
take forever. After about 2 minutes it printed the warning above, then took a
further minute to scan the file.
Comment 2 Philip Heuer 2007-08-30 13:52:32 EDT
I have also noticed the large lag time at startup. From the README file, it
seems that this issue was known in 0.90.3 and is fixed in versions after 0.91.
Rebuilding the fc8 source rpm confirms this.

result from clamav-0.90.3-1.fc7:

LibClamAV Warning: ***********************************************************
LibClamAV Warning: ***  This version of the ClamAV engine is outdated.     ***
LibClamAV Warning: *** DON'T PANIC! Read http://www.clamav.net/support/faq ***
LibClamAV Warning: ***********************************************************
naffpub.pdf: OK

----------- SCAN SUMMARY -----------
Known viruses: 149423
Engine version: 0.90.3
Scanned directories: 0
Scanned files: 1
Infected files: 0
Data scanned: 1.62 MB
Time: 140.482 sec (2 m 20 s)
[pheuer@localhost ~]$ clamscan -V
ClamAV 0.90.3/4099/Tue Aug 28 23:14:54 2007

result from clamav-0.91.2-1.fc7 (fc8 rebuild):

naffpub.pdf: OK

----------- SCAN SUMMARY -----------
Known viruses: 282764
Engine version: 0.91.2
Scanned directories: 0
Scanned files: 1
Infected files: 0
Data scanned: 1.62 MB
Time: 5.299 sec (0 m 5 s)


Upgrade issues are located at http://wiki.clamav.net/Main/UpgradeNotes091

Backporting clamav-0.91.2-1 to Fedora 7 would resolve this issue.
Comment 3 Eric 2007-09-06 22:08:48 EDT
I just installed clamav and klamav via yum and when I start klamav it says,
"Your version of ClamAV is out of date.  Please update to 0.91.2." If I use the
button in klamav called Update ClamAV, my computer hangs and becomes totally
unresponsive, requiring a hard restart.  When I tried yum update clamav it said
there was no update available. $ rpm -q clamav returns clamav-0.90.3-1.fc7.
Sorry if this isn't of help but it's my first bug report and I'm not sure what
to do.
Comment 4 Bug Zapper 2008-05-14 09:59:21 EDT
This message is a reminder that Fedora 7 is nearing the end of life. Approximately 30 (thirty) days from now Fedora will stop maintaining and issuing updates for Fedora 7. It is Fedora's policy to close all bug reports from releases that are no longer maintained. At that time this bug will be closed as WONTFIX if it remains open with a Fedora 'version' of '7'.

Package Maintainer: If you wish for this bug to remain open because you plan to fix it in a currently maintained version, simply change the 'version' to a later Fedora version prior to Fedora 7's end of life.

Bug Reporter: Thank you for reporting this issue and we are sorry that we may not be able to fix it before Fedora 7 is end of life. If you would still like to see this bug fixed and are able to reproduce it against a later version of Fedora please change the 'version' of this bug. If you are unable to change the version, please add a comment here and someone will do it for you.

Although we aim to fix as many bugs as possible during every release's lifetime, sometimes those efforts are overtaken by events. Often a more recent Fedora release includes newer upstream software that fixes bugs or makes them obsolete. If possible, it is recommended that you try the newest available Fedora distribution to see if your bug still exists.

Please read the Release Notes for the newest Fedora distribution to make sure it will meet your needs:
http://docs.fedoraproject.org/release-notes/

The process we are following is described here: http://fedoraproject.org/wiki/BugZappers/HouseKeeping
Comment 5 Bug Zapper 2008-06-16 22:09:30 EDT
Fedora 7 changed to end-of-life (EOL) status on June 13, 2008. 
Fedora 7 is no longer maintained, which means that it will not 
receive any further security or bug fix updates. As a result we 
are closing this bug. 

If you can reproduce this bug against a currently maintained version 
of Fedora please feel free to reopen this bug against that version.

Thank you for reporting this bug and we are sorry it could not be fixed.

Note You need to log in before you can comment on or make changes to this bug.